package com.iamberry.wechat.core.entity.machineNumber;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.iamberry.wechat.core.entity.PageBean;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * Created by Administrator on 2017/7/20.
 */
public class MachineNumber implements Serializable {
    private static final long serialVersionUID = 8495948690542817004L;
    private Integer numberId;                   //id
    private String numberOpenId;                //openId
    private String numberQrcode;                //二维码
    private String numberBarcode;               //条形码
    private String numberBatch;                 //批次

    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date numberSalesTime;               //购买日期
    private Integer numberStatus;               //状态
    private Date numberCreateTime;              //创建时间
    private Date numberSubTime;                 //关注时间
    private Integer numberIsPrint;              //是否打印
    private Integer numberWatero;               //水质范围
    private String numberProvince;              //省
    private String numberCity;                  //市
    private String numberDistrict;              //区
    private PageBean page = new PageBean();		//分页

    public String getNumberProvince() {
        return numberProvince;
    }

    public void setNumberProvince(String numberProvince) {
        this.numberProvince = numberProvince;
    }

    public String getNumberCity() {
        return numberCity;
    }

    public void setNumberCity(String numberCity) {
        this.numberCity = numberCity;
    }

    public String getNumberDistrict() {
        return numberDistrict;
    }

    public void setNumberDistrict(String numberDistrict) {
        this.numberDistrict = numberDistrict;
    }

    public Integer getNumberWatero() {
        return numberWatero;
    }

    public void setNumberWatero(Integer numberWatero) {
        this.numberWatero = numberWatero;
    }

    public PageBean getPage() {
        return page;
    }

    public void setPage(PageBean page) {
        this.page = page;
    }

    public Integer getNumberId() {
        return numberId;
    }

    public void setNumberId(Integer numberId) {
        this.numberId = numberId;
    }

    public String getNumberOpenId() {
        return numberOpenId;
    }

    public void setNumberOpenId(String numberOpenId) {
        this.numberOpenId = numberOpenId;
    }

    public String getNumberQrcode() {
        return numberQrcode;
    }

    public void setNumberQrcode(String numberQrcode) {
        this.numberQrcode = numberQrcode;
    }

    public String getNumberBarcode() {
        return numberBarcode;
    }

    public void setNumberBarcode(String numberBarcode) {
        this.numberBarcode = numberBarcode;
    }

    public String getNumberBatch() {
        return numberBatch;
    }

    public void setNumberBatch(String numberBatch) {
        this.numberBatch = numberBatch;
    }

    public Date getNumberSalesTime() {
        return numberSalesTime;
    }

    public void setNumberSalesTime(Date numberSalesTime) {
        this.numberSalesTime = numberSalesTime;
    }

    public Integer getNumberStatus() {
        return numberStatus;
    }

    public void setNumberStatus(Integer numberStatus) {
        this.numberStatus = numberStatus;
    }

    public Date getNumberCreateTime() {
        return numberCreateTime;
    }

    public void setNumberCreateTime(Date numberCreateTime) {
        this.numberCreateTime = numberCreateTime;
    }

    public Date getNumberSubTime() {
        return numberSubTime;
    }

    public void setNumberSubTime(Date numberSubTime) {
        this.numberSubTime = numberSubTime;
    }

    public Integer getNumberIsPrint() {
        return numberIsPrint;
    }

    public void setNumberIsPrint(Integer numberIsPrint) {
        this.numberIsPrint = numberIsPrint;
    }
}
